﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .itemTemplate
        {
            width: 100px;
            height: 100px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <telerik:RadRotator ID="RadRotator1" runat="server" RotatorType="FromCode" Width="100"
            WrapFrames="false" ItemWidth="100" Height="100" ItemHeight="100" DataSourceID="XmlDataSource1"
            FrameDuration="1000">
            <ItemTemplate>
                <asp:Image CssClass="itemTemplate" ID="Image1" runat="server" ImageUrl='<%# XPath("ImageURL") %>'
                    AlternateText="IMAGE" />
            </ItemTemplate>
        </telerik:RadRotator>
        <asp:ImageButton ID="ImageButton1" runat="server" AlternateText="Left" OnClientClick="showNext('left'); return false;" />
        <asp:ImageButton ID="ImageButton2" runat="server" AlternateText="Right" OnClientClick="showNext('right'); return false;" />
    </div>
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="Thumbs.xml"></asp:XmlDataSource>

    <script type="text/javascript">

        var currentIndex = 0;
        var viewportItemsCount = 1; // 1 item is visible

        function showNext(imageID)
        {
            var oRotator = $find("<%= RadRotator1.ClientID  %>");
            if (imageID == "right")
            {
                if (currentIndex < (oRotator.get_items().length - viewportItemsCount))
                {
                    currentIndex++;
                    oRotator.showNext(Telerik.Web.UI.RotatorScrollDirection.Left);
                }
            }
            else
            {
                if (currentIndex > 0)
                {
                    currentIndex--;
                    oRotator.showNext(Telerik.Web.UI.RotatorScrollDirection.Right);
                }
            }
        }
    </script>

    </form>
</body>
</html>
